stages:
  - fetch
  - deploy

fetch:
  stage: fetch
  image: golang:1.12
  script:
    - git clone https://gitlab.com/kirafan/assets/unpacker.git
    - cd unpacker
    - scripts/fetch.sh
  artifacts:
    paths:
      - unpacker

pages:
  stage: "deploy"
  image: python:3.8
  cache:
    key: deploy
    paths:
      - unpacker/cache
      - unpacker/assets
  artifacts:
    paths:
      - public
  script:
    - pip install unitypack unicorn
    - cd unpacker
    - python main.py $(./krrrvh) '.*' -j=${BUCKET} --type png jpg icon muast -f
    - cp -r assets/app/staticresources/bundlesource ../public
    - python scripts/index.py ../public
